package com.miaxis.test;

import com.miaxis.JsjpApplication;
import com.miaxis.wx.dto.WxExtractBankDTO;
import com.miaxis.wx.service.IWxExtractService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest(classes = JsjpApplication.class)
@RunWith(SpringRunner.class)
public class WxExtractTest {

    @Autowired
    private IWxExtractService wxExtractService;

    @Test
    public void test2() throws Exception {
        WxExtractBankDTO cb = new WxExtractBankDTO();
        cb.setBankCode(1003);
        cb.setEncBankNo("6227001823210062458");
        cb.setEncTrueName("张滨");
        cb.setAmount(1);
        System.out.println(wxExtractService.wxwithbankdrawal(cb));

    }




}
